# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2017 Grupo SACSA - http://www.gruposacsa.com.mx
#    All Rights Reserved.
############################################################################
#    Coded by:
#       Jorge Alfonso Medina Uriarte (desarrollo.sacsa@gruposacsa.com.mx)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import fields, models, api
from openerp.osv import orm


class res_company(orm.Model):
    _inherit = 'res.company'

    def _get_contract_type(self):
        return [('sacsa', 'SACSA'), ('nutrive', 'NUTRIVE')]

    res_partner_legal_id = fields.Many2one(
        'res.partner.legal', 'Legal Representative', 
    )
    contract_type = fields.Selection(
        string='Contract Type', selection=_get_contract_type, default='sacsa'
    )
    witness_primary = fields.Many2one(
        'res.partner', 'Witness',
    )
    witness_secondary = fields.Many2one(
        'res.partner', 'Witness',
    )
    period_year = fields.Char('Period Year',
    )
    res_partner_legancy_id = fields.Many2one(
        'res.partner.legal', 'Legal Representative',
    )