# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2017 Grupo SACSA - http://www.gruposacsa.com.mx
#    All Rights Reserved.
############################################################################
#    Coded by:
#       Jorge Alfonso Medina Uriarte (desarrollo.sacsa@gruposacsa.com.mx)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import fields, models, api
from openerp.osv import orm
import time
from datetime import datetime
from pytz import timezone
from openerp.tools.translate import _


class res_partner(orm.Model):
    _inherit = 'res.partner'

    TYPE_PERSON_SELECTION = [
        ('pf', _('Physical Person')),
        ('pm', _('Moral Person')),
    ]

    res_partner_legal_id = fields.Many2one(
        'res.partner.legal', 'Legal Representative', 
    )
    official_id = fields.Char('Identification',
        size=255,
    )
    civil_status = fields.Char('Civil Status',
        size=255,
    )
    contract_company_id = fields.Many2one(
        'res.company', 'Contract', 
    )
    type_person = fields.Selection(
        TYPE_PERSON_SELECTION, 'Type Person',
    )
    register_year = fields.Char('Register Year',
    )