# -*- encoding: utf-8 -*-
################################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2017 SACSA - http://www.gruposacsa.com.mx/
#    All Rights Reserved.
################################################################################
#    Coded by: Jorge Alfonso Medina Uriarte (desarrollo.sacsa@gruposacsa.com.mx
################################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################


import time
from openerp.report import report_sxw
from openerp.tools.translate import _
import logging
from openerp.addons.l10n_mx_invoice_amount_to_text import amount_to_text_es_MX
_logger = logging.getLogger(__name__)
import datetime as dt
from datetime import datetime
import pytz
import time

class Parser(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(Parser, self).__init__(cr, uid, name, context)
        self.context = context
        self.localcontext.update({
            'date_to_text': self._get_date_to_text,
            'convert_to_words': self._convert_to_words,
            'current_date': self._current_date,
        })

    def _get_date_to_text(self, date):
        MES=["ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE"]
        dates = str(date).split('/')
        if len(dates) > 1:
            m = int(dates[1])
            return dates[0] + " DE " + str(MES[m-1]) + " DE " + dates[2]
        else:
            dates = str(date).split('-')
            m = int(dates[1])
            return dates[2] + " DE " + str(MES[m-1]) + " DE " + dates[0]

    def _convert_to_words(self, voucher):
        return amount_to_text_es_MX.get_amount_to_text(self, voucher.amount, 'es_cheque', "MXN")

    def _current_date(self, o):
        user = self.pool.get('res.users').browse(self.cr, self.uid, self.uid)
        date_now = datetime.now().strftime('%Y-%m-%d %H:%M:%S')
        start = datetime.strptime(date_now, "%Y-%m-%d %H:%M:%S")

        tz = pytz.timezone(user.tz) if user.tz else pytz.utc
        start = pytz.utc.localize(start).astimezone(tz)
        tz_date = start.strftime("%Y-%m-%d")# %H:%M:%S")
        ### tz_date es la fecha correcta con la zona horaria
        return self._get_date_to_text(tz_date)
